<?php
namespace TYPO3\Gss\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 Arek van Schaijk <info@ucreation.nl>, Ucreation
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package gss
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class Keyword extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	/**
	 * term
	 *
	 * @var string
	 */
	protected $term;

	/**
	 * isExactWord
	 *
	 * @var boolean
	 */
	protected $isExactWord = FALSE;

	/**
	 * excludeFromResults
	 *
	 * @var boolean
	 */
	protected $excludeFromResults = FALSE;
	
	/**
	 * replaceWord
	 *
	 * @var boolean
	 */
	protected $replaceWord = FALSE;

	/**
	 * Returns the term
	 *
	 * @return string $term
	 */
	public function getTerm() {
		return $this->term;
	}

	/**
	 * Sets the term
	 *
	 * @param string $term
	 * @return void
	 */
	public function setTerm($term) {
		$this->term = $term;
	}

	/**
	 * Returns the isExactWord
	 *
	 * @return boolean $isExactWord
	 */
	public function getIsExactWord() {
		return $this->isExactWord;
	}

	/**
	 * Sets the isExactWord
	 *
	 * @param boolean $isExactWord
	 * @return void
	 */
	public function setIsExactWord($isExactWord) {
		$this->isExactWord = $isExactWord;
	}

	/**
	 * Returns the boolean state of isExactWord
	 *
	 * @return boolean
	 */
	public function isIsExactWord() {
		return $this->getIsExactWord();
	}

	/**
	 * Returns the excludeFromResults
	 *
	 * @return boolean $excludeFromResults
	 */
	public function getExcludeFromResults() {
		return $this->excludeFromResults;
	}

	/**
	 * Sets the excludeFromResults
	 *
	 * @param boolean $excludeFromResults
	 * @return void
	 */
	public function setExcludeFromResults($excludeFromResults) {
		$this->excludeFromResults = $excludeFromResults;
	}

	/**
	 * Returns the boolean state of excludeFromResults
	 *
	 * @return boolean
	 */
	public function isExcludeFromResults() {
		return $this->getExcludeFromResults();
	}
	
	/**
	 * Returns the replaceWord
	 *
	 * @return boolean $replaceWord
	 */
	public function getReplaceWord() {
		return $this->replaceWord;
	}

	/**
	 * Sets the replaceWord
	 *
	 * @param boolean $replaceWord
	 * @return void
	 */
	public function setReplaceWord($replaceWord) {
		$this->replaceWord = $replaceWord;
	}

	/**
	 * Returns the boolean state of replaceWord
	 *
	 * @return boolean
	 */
	public function isReplaceWord() {
		return $this->getReplaceWord();
	}

}