<?php
namespace TYPO3\Gss\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2012 Arek van Schaijk <info@ucreation.nl>, Ucreation
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package gss
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class Synonym extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	/**
	 * term
	 *
	 * @var string
	 */
	protected $term;

	/**
	 * synonyms
	 *
	 * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\Gss\Domain\Model\Keyword>
	 */
	protected $synonyms;

	/**
	 * __construct
	 *
	 * @return void
	 */
	public function __construct() {
		//Do not remove the next line: It would break the functionality
		$this->initStorageObjects();
	}

	/**
	 * Initializes all \TYPO3\CMS\Extbase\Persistence\ObjectStorage properties.
	 *
	 * @return void
	 */
	protected function initStorageObjects() {
		/**
		 * Do not modify this method!
		 * It will be rewritten on each save in the extension builder
		 * You may modify the constructor of this class instead
		 */
		$this->synonyms = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
	}

	/**
	 * Returns the term
	 *
	 * @return string $term
	 */
	public function getTerm() {
		return $this->term;
	}

	/**
	 * Sets the term
	 *
	 * @param string $term
	 * @return void
	 */
	public function setTerm($term) {
		$this->term = $term;
	}

	/**
	 * Adds a Keyword
	 *
	 * @param \TYPO3\Gss\Domain\Model\Keyword $synonym
	 * @return void
	 */
	public function addSynonym(\TYPO3\Gss\Domain\Model\Keyword $synonym) {
		$this->synonyms->attach($synonym);
	}

	/**
	 * Removes a Keyword
	 *
	 * @param \TYPO3\Gss\Domain\Model\Keyword $synonymToRemove The Keyword to be removed
	 * @return void
	 */
	public function removeSynonym(\TYPO3\Gss\Domain\Model\Keyword $synonymToRemove) {
		$this->synonyms->detach($synonymToRemove);
	}

	/**
	 * Returns the synonyms
	 *
	 * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\Gss\Domain\Model\Keyword> $synonyms
	 */
	public function getSynonyms() {
		return $this->synonyms;
	}

	/**
	 * Sets the synonyms
	 *
	 * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\Gss\Domain\Model\Keyword> $synonyms
	 * @return void
	 */
	public function setSynonyms(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $synonyms) {
		$this->synonyms = $synonyms;
	}

}